# twsync

~~~
twsync: synchroniser un répertoire de wiki avec un tiddlywiki

USAGE
    twsync [options]

Un répertoire de wiki est un répertoire où chaque page est contenu dans un
fichier avec l'extension .twp
Un tiddlywiki est un fichier html contenant le code de TiddlyWiki et les données
associées.

OPTIONS
    -d wikidir
    -f wikifile
        Spécifier le répertoire de wiki et le tiddlywiki à traiter. Par défaut,
        il s'agit de wiki.html dans le répertoire courant.
    -u  Importer les pages de wikidir dans le tiddlywiki. Utiliser cette action
        quand les pages de wikidir sont modifiées et qu'il faut mettre à jour le
        tiddlywiki.
        Il s'agit de l'action par défaut
    --force
        Forcer l'importation des pages même si les tiddlers correspondant sont
        plus récents dans le tiddlywiki
        Forcer aussi la regénération de wikifile même si aucune modification n'a
        été détectée
    -e  Exporter les tiddlers du tiddlywiki vers wikidir. Utiliser cette action
        quand le tiddlywiki a été modifié, et qu'il faut synchroniser wikidir
        avec les dernières modifications.
    -U  Mettre à jour le fichier wikifile avec la dernière version de tiddlywiki
        située dans ~/wop/modules/nutools/lib/tiddlywiki/empty.html
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary